#
# spec file for package fIcy
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fIcy
Version:        1.0.21
Release:        1.36
Summary:        Icecast/Shoutcast Stream Grabber
License:        LGPL-2.1+
Group:          Productivity/Multimedia/Other
URL:            https://www.thregr.org/~wavexx/software/fIcy/
Source:         https://www.thregr.org/~wavexx/software/fIcy/releases/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM fIcy-use_getaddrinfo.patch
Patch0:         fIcy-use_getaddrinfo.patch
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig

%description
fIcy is a command line icecast/shoutcast stream grabber. It will work
with any ICY-compatible stream and allows to either save the stream to
user-customizable files or pipe the output to a media player, or both.

%prep
%setup -q
%patch0 -p1

%build
make %{?_smp_mflags} \
    CXX="g++" \
    CXXFLAGS="%{optflags}"

%install
install -d "%{buildroot}%{_bindir}"
install -m0755 fIcy fPls fResync "%{buildroot}%{_bindir}/"

%files
%doc COPYING.txt FAQ.rst NEWS.rst README.rst TODO.rst
%{_bindir}/fIcy
%{_bindir}/fPls
%{_bindir}/fResync

%changelog
* Sun Feb  4 2018 aloisio@gmx.com
- Compact description
* Sat Feb  3 2018 aloisio@gmx.com
- Added fIcy-use_getaddrinfo.patch
* Fri Feb  2 2018 aloisio@gmx.com
- Update to version 1.0.21
  * fIcy can now append to output files directly using -A.
  * Error messages about missing or incompatible flags are now
    clearer.
  version 1.0.20:
  * fPls accepts more (broken) EXTM3U files.
  * fIcy output file (-o) is no longer overwritten if -n is
    requested without metadata-based splitting.
  * fIcy output file is now correctly not interrupted if titles
    are requested without flags affecting filename generation (-t, -E
    or -m).
  * fIcy now builds fine by default on systems using gcc 4.7.
  * Support for building with pmake under IRIX has been removed.
  version 1.0.19:
  * fPls will now correctly retry loading remote playlists on
    connection timeout/failures according to the requested limit (3 by
    default).
  * fPls/fIcy -T (maximum time) flag now takes connection/retry
    delays into account, ensuring the requested time is never exceeded.
  * Some examples in the documentation have been clarified.
- Spec cleanup
* Tue Mar 29 2011 pascal.bleser@opensuse.org
- initial version (1.0.18)
